- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgbluemarble.cpp File Reference

`#include <osg/Texture2D>`
`#include <osg/Geometry>`
`#include <osg/State>`
`#include <osg/ClusterCullingCallback>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgDB/ImageOptions>`
`#include <osgDB/FileNameUtils>`
`#include <osgUtil/Optimizer>`
`#include <osgUtil/TriStripVisitor>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgbluemarble.cpp:

## Functions
osg::Vec3 | computePosition (bool leftHemisphere, double x, double y)
osg::Node * | createTile (const std::string &filename, bool leftHemisphere, double x, double y, double w, double h)
osg::Node * | createTileAndRecurse (const std::string &filename, const std::string &basename, const std::string &extension, bool leftHemisphere, unsigned int noTilesX, unsigned int noTilesY, double x, double y, double w, double h, unsigned int numLevelsLeft)
bool | createWorld (const std::string &left_hemisphere, const std::string &right_hemisphere, const std::string &baseName, unsigned int numLevels)
int | main (int argc, char **argv)
## Variables
bool | useCompressedTextures = true
bool | use565 = true

## Function Documentation

osg::Vec3 computePosition | ( | bool | leftHemisphere,
|  | double | x,
|  | double | y
| ) |

osg::Node* createTile | ( | const std::string & | filename,
|  | bool | leftHemisphere,
|  | double | x,
|  | double | y,
|  | double | w,
|  | double | h
| ) |

osg::Node* createTileAndRecurse | ( | const std::string & | filename,
|  | const std::string & | basename,
|  | const std::string & | extension,
|  | bool | leftHemisphere,
|  | unsigned int | noTilesX,
|  | unsigned int | noTilesY,
|  | double | x,
|  | double | y,
|  | double | w,
|  | double | h,
|  | unsigned int | numLevelsLeft
| ) |

bool createWorld | ( | const std::string & | left_hemisphere,
|  | const std::string & | right_hemisphere,
|  | const std::string & | baseName,
|  | unsigned int | numLevels
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

## Variable Documentation

bool use565 = true

bool useCompressedTextures = true